Bug 827629 - [abrt] pulseaudio-1.1-9.fc17: strlen: Process /usr/bin/pulseaudio was killed by signal 11 (SIGSEGV)
[abrt] pulseaudio-1.1-9.fc17: strlen: Process /usr/bin/pulseaudio was killed ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
i686 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
abrt_hash:ed916c0ebeeae7bc7b7f533a16a...
: Triaged
: 827563 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 18:06 EDT by Miłosz Staszewski
Modified: 2013-07-31 23:07 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:07:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (24.11 KB, text/plain)
2012-06-01 18:07 EDT, Miłosz Staszewski
no flags Details
File: maps (20.80 KB, text/plain)
2012-06-01 18:07 EDT, Miłosz Staszewski
no flags Details
File: var_log_messages (5.38 KB, text/plain)
2012-06-01 18:07 EDT, Miłosz Staszewski
no flags Details
abrt information about this pulseaudio / bluetooth crash (381.77 KB, application/x-compressed-tar)
2012-06-14 13:00 EDT, David Wilkins
no flags Details
excerpt from /var/log/messages about the crash (14.70 KB, text/plain)
2012-06-14 13:01 EDT, David Wilkins
no flags Details

  None (edit)
Description Miłosz Staszewski 2012-06-01 18:06:57 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/pulseaudio --start
comment:        I tried to pair my Bluetooth stereo headset Nokia BH-604 with my Fedora running netbook Samsung N220. I have also tried to do the same thing on Fedora 17 on HP Mini 210-4180 netbook. Similar crashed occured.
crash_function: strlen
executable:     /usr/bin/pulseaudio
kernel:         3.3.4-5.fc17.i686
pid:            1194
pwd:            /
time:           Fri 01 Jun 2012 11:54:21 PM CEST
uid:            1000
username:       sofcik

backtrace:      Text file, 24692 bytes
maps:           Text file, 21303 bytes
var_log_messages: Text file, 5508 bytes

build_ids:
:87d48789a3a1051e1277c01e4cd52fa342a368c3
:2855c9d382b45bd379cb9de5e5ca9484fa3a8555
:76a805865330c9c411e2829231dd06d77c9f0f95
:f648d94ed6070ecb9603ce44f6a2b5a1804ff5c1
:7b9e064838c624e75b5a632da2db9e5146dbe70e
:c37ce5a56ac9116ef3203d075293c839e22aadc9
:5ef0b78608f29b35857b81875a7f976d6c05bd4d
:4bd9cd3a78fa841a2bcf0df8c7e838b80cccd5f3
:393d3645af50c975520d2622cdb65ad9350a57f3
:92aaf9e3a33962226af01da69620e9be799859d4
:c60024af920feb43604ff018b9b2d70440b316ea
:03ddf7ea72ba1acbaef2c43cceefe56942eb5a34
:62150f38cf11baa1966ed86cf2c4839bd029b0c8
:878ad9574b22487e7775fd28fe8c77b82b58bfea
:69875f9613e1f9f8d864a126607bfa24f118c70f
:ebc99d07524edd8b28c8ac5fae4a158b6f54acd6
:c9e4075eb99bfd55c7970a7acf9d668d58e82898
:9acecaec6841b1c68c1910e6b7fe5902d390e468
:72a504cb97b52a66a215f439ab57a1a01c555ab5
:b07ba9579ad40d44d55ec839bb332409a973ba22
:f0e2787509d737bd27ab01ce8a60055461ed377a
:b9570393b46c3b1c77ad81bce67e617e8608919a
:757d0ed5f496fc377d8558caf8987cefa4679f96
:476bd9aa38655cd9cd57ab94071e79f6d6b4c76d
:b40ce46d9f2b58e601f6e12003101e49dd1a5e90
:bdefcd1310b1f24530d799dc0128edd358eb3331
:484975f1ea360971ce6b3c6594f4f9eed104959c
:47730b109a527305ac3fd585df4cc49244efa4f1
:9bcfddade334bc5650f57f1aa74d64f51021a121
:5e26f5e92e98a5f04d690a4211e806b74eb4f455
:f569864c093e16b33c42379bbdff5ad1ff969ac7
:e9d77505c0c25e485100590d9d4ad8388805d08d
:d99a1aa62f3384caf25ca6be372ec9da0aaa87ce
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:657bed8df5cfda1d7eb24a25a043cfbdf228b933
:c231c23d958aa42bb98f000cee5a9a11e090249d
:a59e9c65cd4a951e58d94ad9fb6c32e9b9ed3611
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:c3d5f1022cd8f9c75ac88f84afa766042f70ebdc
:cdf4a22ae78a77d387cfbba3d667dba692429114
:a4d34e8ba9e750342f2baf8de2311e44e232d6d1
:327661a5f401b69a985e63c374da3357fb7bd155
:999b80d929e36af485f8a3a2e3548f082bf8a9e6
:75901b80d2dac1e6eb7ce9c4b8446d9190d4896a
:1cd0202320463bb5a57f77cdc4fe764105b405df
:409f7fce74f9fe59a9cd443bf3e43aa2a9680e18
:4647906f9c79b1be386f6c5b07af17cbf8484f99
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:c240dcb98360b07a552cd9be29a4461216154fb7
:ef6c00ecf29e9de6aef10dd71fddd5f847b9dbf3
:b0fe2da0342676b901cf26bdb9f886f1ff12b60d
:5cc47e6299983b20063ea3888cea7c4c94ac438f
:3e8db068ebbfae69654767b42d9b0475c53121e7
:98e5a392538f280abb85e6ece578d907bd6f07ff
:1b17962b3503bc9f22d90d11bb772f3004590d97
:29ae985e40e3b73e0603eb790c78135f50078c0e
:35ac9b6358302c754de336ab3f86fdc450ee7904
:96c451413d749a500ac74b1b81178316b8ac9926
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:0f22adfaabe11cef7a87e5cc3e66d522ec81800d
:1ad23e75a21da84fe30e77c22b9e8eaa862f80e3
:5b5557b5b0427930b220a00961393e29809c42f0
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:255d6e7b64545c4e4212ad5b1a015846d79ca6d4
:05e18e3ae09df2e67626b3f732bef0d35107f46f
:7f3c4b2fc7f49a8e50f936b1435bfcf785b29191
:3c3b1db13bac52b39257d8f5fbf3d559eefbb3d5
:53bfea6bbf26b43c5115e6e165b479cf76c6eebd
:738c41c31c50529b4618602b44b7483e34f9f4d7
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sofcik/3

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x150c06 __strlen_sse2 libc.so.6 -
:05e18e3ae09df2e67626b3f732bef0d35107f46f 0x3cfc7 pa_xstrdup libpulse.so.0 -
:3c3b1db13bac52b39257d8f5fbf3d559eefbb3d5 0x3e0a - libbluetooth-util.so -
:3c3b1db13bac52b39257d8f5fbf3d559eefbb3d5 0x415e - libbluetooth-util.so -
:5b5557b5b0427930b220a00961393e29809c42f0 0x1effe - libdbus-1.so.3 -
:5b5557b5b0427930b220a00961393e29809c42f0 0xed55 dbus_connection_dispatch libdbus-1.so.3 -
:f648d94ed6070ecb9603ce44f6a2b5a1804ff5c1 0x496dc - libpulsecommon-1.1.so -
:05e18e3ae09df2e67626b3f732bef0d35107f46f 0x24295 pa_mainloop_dispatch libpulse.so.0 -
:05e18e3ae09df2e67626b3f732bef0d35107f46f 0x245a6 pa_mainloop_iterate libpulse.so.0 -
:05e18e3ae09df2e67626b3f732bef0d35107f46f 0x24674 pa_mainloop_run libpulse.so.0 -
:255d6e7b64545c4e4212ad5b1a015846d79ca6d4 0x5b74 main [exe] -

dso_list:
:/usr/lib/pulse-1.1/modules/module-dbus-protocol.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/libalsa-util.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/gconv/gconv-modules.cache glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/pulse-1.1/modules/module-device-restore.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-native-protocol-unix.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-default-device-restore.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-cork-music-on-phone.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-x11-cork-request.so pulseaudio-module-x11-1.1-9.fc17.i686 (Fedora Project) 1337719404
:/usr/lib/pulse-1.1/modules/module-esound-protocol-unix.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-x11-publish.so pulseaudio-module-x11-1.1-9.fc17.i686 (Fedora Project) 1337719404
:/usr/lib/pulse-1.1/modules/module-stream-restore.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-intended-roles.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-x11-xsmp.so pulseaudio-module-x11-1.1-9.fc17.i686 (Fedora Project) 1337719404
:/usr/lib/pulse-1.1/modules/module-augment-properties.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-alsa-card.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-bluetooth-discover.so pulseaudio-module-bluetooth-1.1-9.fc17.i686 (Fedora Project) 1337719310
:/usr/lib/pulse-1.1/modules/module-rescue-streams.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-card-restore.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-always-sink.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/libbluetooth-util.so pulseaudio-module-bluetooth-1.1-9.fc17.i686 (Fedora Project) 1337719310
:/usr/lib/pulse-1.1/modules/module-position-event-sounds.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/libprotocol-native.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-filter-apply.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-jackdbus-detect.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-filter-heuristics.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.i686 (Fedora Project) 1337719194
:/usr/lib/pulse-1.1/modules/libprotocol-esound.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-suspend-on-idle.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267
:/usr/lib/pulse-1.1/modules/module-udev-detect.so pulseaudio-1.1-9.fc17.i686 (Fedora Project) 1337719267

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=3
:HOSTNAME=N220
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/sofcik/keyring-PQP9n9
:IMSETTINGS_MODULE=none
:USER=sofcik
:DESKTOP_AUTOSTART_ID=10439e85b197c20c0d133858092389994800000010220016
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1022,unix/unix:/tmp/.ICE-unix/1022
:USERNAME=sofcik
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sofcik/.local/bin:/home/sofcik/bin
:MAIL=/var/spool/mail/sofcik
:QT_IM_MODULE=xim
:PWD=/home/sofcik
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1018
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/sofcik
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=sofcik
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FDfRyrJ7ws,guid=726be615a7abb1334b896b34000000b5
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/sofcik
:XAUTHORITY=/var/run/gdm/auth-for-sofcik-gmQuZa/database
:_=/usr/bin/pulseaudio
:LD_BIND_NOW=1

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15929                processes 
:Max open files            256                  256                  files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15929                15929                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      1000000              1000000              us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[20211]
:pos:	0
:flags:	02004002
:4:socket:[20736]
:pos:	0
:flags:	02004002
:5:pipe:[20223]
:pos:	0
:flags:	02004000
:6:pipe:[20223]
:pos:	0
:flags:	02004001
:7:pipe:[20225]
:pos:	0
:flags:	02004000
:8:pipe:[20225]
:pos:	0
:flags:	02004001
:9:socket:[20259]
:pos:	0
:flags:	02004002
:10:/home/sofcik/.pulse/ea8afdfebc755e8541fdfe4e00000036-device-volumes.tdb
:pos:	696
:flags:	02100002
:11:/home/sofcik/.pulse/ea8afdfebc755e8541fdfe4e00000036-stream-volumes.tdb
:pos:	696
:flags:	02100002
:12:/home/sofcik/.pulse/ea8afdfebc755e8541fdfe4e00000036-card-database.tdb
:pos:	696
:flags:	02100002
:13:anon_inode:inotify
:pos:	0
:flags:	02004000
:14:socket:[20228]
:pos:	0
:flags:	02004002
:15:socket:[20229]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:20:socket:[21918]
:pos:	0
:flags:	02004002
:21:socket:[21954]
:pos:	0
:flags:	02004002
:22:/dev/snd/controlC0
:pos:	0
:flags:	02004002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:24:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02000002
:27:/dev/snd/controlC0
:pos:	0
:flags:	02004002
:28:socket:[27700]
:pos:	0
:flags:	02004002
:29:socket:[20248]
:pos:	0
:flags:	02004002
:30:socket:[20251]
:pos:	0
:flags:	02000002
:31:socket:[20253]
:pos:	0
:flags:	02000002
:32:socket:[20254]
:pos:	0
:flags:	02004002
:33:socket:[20734]
:pos:	0
:flags:	02000002
:34:socket:[21033]
:pos:	0
:flags:	02004002
:35:socket:[68868]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: c1340238-22e0-44ae-8d5a-e3556691308a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 3325.05
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N450   @ 1.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 2007
:System Swap: 4031
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: N150/N210/N220 Not Applicable
:Form factor: Notebook
:Kernel: 3.3.4-5.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10172:5197:49266) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4523:17236:5197:49266) pci, sky2, ETHERNET, 88E8040 PCI-E Fast Ethernet Controller
:(32902:40977:5197:49266) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:5197:49266) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:5197:49266) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:5197:49266) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:5197:49266) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10177:5197:49266) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10196:5197:49266) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:5197:49266) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:5197:49266) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5772:43:4187:57381) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:10198:5197:49266) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 4
:(32902:10185:5197:49266) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5197:49266) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:5197:49266) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:5197:49266) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5197:49266) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5197:49266) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_n220-lv_root / ext4 4096 4096 59824542 58141120 57542386 14974976 14857108 14857108
:/dev/sda1 /boot ext4 1024 1024 508745 427101 401501 128016 127668 127668
:
Comment 1 Miłosz Staszewski 2012-06-01 18:07:05 EDT
Created attachment 588588 [details]
File: backtrace
Comment 2 Miłosz Staszewski 2012-06-01 18:07:08 EDT
Created attachment 588589 [details]
File: maps
Comment 3 Miłosz Staszewski 2012-06-01 18:07:10 EDT
Created attachment 588590 [details]
File: var_log_messages
Comment 4 antman 2012-06-07 02:15:43 EDT
1. boot system and logged in.
2. paired bluetooth headset (plantronics) to computer
3. the headset paired up without a problem
4. pulse audio failed


backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 darwinian.empire 2012-06-09 09:24:41 EDT
PulseAudio crashes when connecting a Nokia BH-102 Bluetooth Headset

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 David Wilkins 2012-06-12 21:06:01 EDT
I have the same issue as @antman above with a samsung HM3700 and an Arctic P311
Comment 7 Christian von Behren 2012-06-14 12:02:29 EDT
I can pair bluetooth audio but when I try to connect, the connection gets terminated within seconds!
Furthermore: Whenever I try to open "audio preferences" during that time from the Bluetooth applet, Pulseaudio crashes.

I suspect there is a general permition problem in f17!

my messages log include:
------------
Jun 14 17:39:13 Chris bluetoothd[8194]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Jun 14 17:39:13 Chris bluetoothd[8194]: Listening for HCI events on hci0
Jun 14 17:39:13 Chris bluetoothd[8194]: HCI dev 0 up
Jun 14 17:39:13 Chris bluetoothd[8194]: l2cap_bind: Address already in use (98)
Jun 14 17:39:13 Chris bluetoothd[8194]: network-server: Invalid argument (22)
Jun 14 17:39:13 Chris bluetoothd[8194]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Jun 14 17:39:13 Chris bluetoothd[8194]: Failed to listen on control channel
Jun 14 17:39:13 Chris bluetoothd[8194]: input-server: Operation not permitted (1)
Jun 14 17:39:13 Chris bluetoothd[8194]: rfcomm_bind: Address already in use (98)
Jun 14 17:39:13 Chris bluetoothd[8194]: audio-headset: Operation not permitted (1)
Jun 14 17:39:13 Chris bluetoothd[8194]: l2cap_bind: Address already in use (98)
Jun 14 17:39:13 Chris bluetoothd[8194]: audio-a2dp: Operation not permitted (1)
Jun 14 17:39:13 Chris bluetoothd[8194]: l2cap_bind: Address already in use (98)
Jun 14 17:39:13 Chris bluetoothd[8194]: audio-control: Operation not permitted (1)
Jun 14 17:39:13 Chris bluetoothd[8194]: Unable to load keys to adapter_ops: Function not implemented (38)
Jun 14 17:39:13 Chris bluetoothd[8194]: Adapter /org/bluez/8193/hci0 has been enabled
Jun 14 17:39:13 Chris bluetoothd[8194]: Endpoint registered: sender=:1.47 path=/MediaEndpoint/HFPAG
Jun 14 17:39:13 Chris bluetoothd[8194]: Inquiry Cancel Failed with status 0x12
------------ 


I assume, this error has one of these two origins:
1) SELinux
2) some other group rights stuff
Comment 8 Christian von Behren 2012-06-14 12:22:58 EDT
Workaround found!

Its SELinux's fault!!
disable it and BT Audio is working fine again.

1) add selinux=0 to /etc/boot/grub
2) execute "sudo grub2-mkconfig -o /boot/grub2/grub.cfg"
Comment 9 David Wilkins 2012-06-14 12:56:11 EDT
The workaround from Christian von Behren didn't work for me.   I already had selinux turned off, but I added the grub stuff anyway (to /etc/default/grub) and ran grub2-mkconfig.
Comment 10 David Wilkins 2012-06-14 13:00:04 EDT
Created attachment 591880 [details]
abrt information about this pulseaudio / bluetooth crash

I don't know if this is useful, but it's the abrt information (?) about the crash
Comment 11 David Wilkins 2012-06-14 13:01:15 EDT
Created attachment 591881 [details]
excerpt from /var/log/messages about the crash
Comment 12 Christian von Behren 2012-06-14 13:24:50 EDT
while reading through your attachment, it looks like there are two simultanious attempts to connect your device - at least I haven't seen that twice registering stuff before...

----
Jun 14 11:40:02 t420 bluetoothd[639]: Endpoint registered: sender=:1.81 path=/MediaEndpoint/HFPAG
Jun 14 11:40:02 t420 bluetoothd[639]: Endpoint registered: sender=:1.81 path=/MediaEndpoint/A2DPSource
---

Furthermore the first one (HFPAG) seems to break pulse just before the device is completly set up:
---
Jun 14 11:40:02 t420 kernel: [  138.433143] pulseaudio[1526]: segfault at 9000000 ip 41a80ad6 sp bfbb1b54 error 4 in libc-2.15.so[419fe000+1a8000]
...
Jun 14 11:40:02 t420 bluetoothd[639]: Badly formated or unrecognized command: AT+CSRSF=0,0,0,0,0,7
Jun 14 11:40:04 t420 bluetoothd[639]: bluetoothd[639]: Unable to select SEP
---

This is only a random thought, but you could try to set a config for the device rather than let the system configure it itself (which obviously fails:

try to set a audio.conf in /etc/bluetooth/ with the following content:
---
Enable=Source,Sink,Headset,Gateway,Control,Socket,Media
HFP=false
---

You will have to create that file (it's not there in default)

I could interpret your logs completely wrong though...
Good luck
Comment 13 Christian von Behren 2012-06-14 13:35:22 EDT
forget the first part I wrote before - HFPAG and A2DPSource get registered here exactly the same! the difference is, here it works :-/

Jun 14 18:18:47 Chris bluetoothd[643]: bluetoothd[643]: Endpoint registered: sender=:1.46 path=/MediaEndpoint/HFPAG
Jun 14 18:18:47 Chris bluetoothd[643]: bluetoothd[643]: Endpoint registered: sender=:1.46 path=/MediaEndpoint/A2DPSource
Jun 14 18:18:47 Chris bluetoothd[643]: Endpoint registered: sender=:1.46 path=/MediaEndpoint/HFPAG
Jun 14 18:18:47 Chris bluetoothd[643]: Endpoint registered: sender=:1.46 path=/MediaEndpoint/A2DPSource

so that's no error but the use case..
I have no clue though, why pulse crashes on your machine

someone else?
Comment 14 David Wilkins 2012-06-14 16:48:11 EDT
OK - my workaround is this - create an /etc/bluetooth/audio.conf file with the following lines:


[General]
Disable=Media
Enable=Source,Sink,Headset,Gateway,Control,Socket


I don't have stereo output, but I never use that anyway.  I don't know if anything other than "Headset" is needed in that Enable line.

The control-center app generally crashes at least once when I pair / connect, but pulse is able to stay up.
Comment 15 Les 2012-06-15 20:49:17 EDT
I had similar problems with a Motorola HT820 headset crashing the pulseaudio daemon.  I used David Wilkins workaround (above), but without the 'Headset' entry, i.e.

create /etc/bluetooth/audio.conf containing the lines

[General]
Disable=Media
Enable=Source,Sink,Gateway,Control,Socket


After restarting, I was able to select either the 'Telephony Duplex (HSP/HFP)' option, or the 'High Fidelity Playback (A2DP)' option in 
System Settings
  Hardware (section)
    Sound
      Hardware (tab)
        Settings for the elected device

Both the Telephony and the High Fidelity mode worked correctly
Comment 16 Jose Pedro de Sousa Martins 2012-06-16 08:31:13 EDT
I have connected one Creative Labs WP-250 Headset (Bluetooth)

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 17 darwinian.empire 2012-06-16 17:54:59 EDT
I tried the workaround suggested in Comment 14. In addition, I had to remove the headset from the known Bluetooth device list, reboot the computer and try to pair again. The headset successfully works now.
Comment 18 cdidsd 2012-06-16 20:10:00 EDT
connected bluetooth

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 Alex Markley 2012-06-17 11:18:27 EDT
I reported issues with Pulseaudio crashing under similar circumstances in bug #827563 ... My problems have been solved after applying Les' workaround in comment 15! :-D

This problem does not occur for me on my x86_64 system, only on my i686 machine. I notice a few other reporters here are also running 32-bit systems. Is this possibly an architecture-specific problem?

*Happily enjoying my bluetooth headset.*
Comment 20 Brendan Jones 2012-06-18 15:41:29 EDT
*** Bug 827563 has been marked as a duplicate of this bug. ***
Comment 21 Vadim Rutkovsky 2012-07-16 01:28:54 EDT
Crashed after adding a new Bluetooth headset

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 pscottdv 2012-07-16 11:47:56 EDT
When pairing/activating my bluetooth headset (ProPlantronics) pulseaudio crashes.  Note that earlier experiments of mine show that it crashes when activating the headset device, not when pairing.

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 23 Vadim Rutkovsky 2012-07-16 12:04:10 EDT
Workaround from comment #15 worked fine
Comment 24 justas.poderys 2012-07-16 16:07:27 EDT
Trying to play audio to Plantronics Savi 170 headset while paired via Bluetooth.

Part of messagelog:
Jul 16 20:20:15 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint registered: sender=:1.101 path=/MediaEndpoint/HFPAG
Jul 16 20:20:15 zaibukas bluetoothd[547]: Endpoint registered: sender=:1.101 path=/MediaEndpoint/HFPAG
Jul 16 20:20:15 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint registered: sender=:1.101 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:15 zaibukas bluetoothd[547]: Endpoint registered: sender=:1.101 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:15 zaibukas abrt[2385]: Not dumping repeating crash in '/usr/bin/pulseaudio'
Jul 16 20:20:15 zaibukas pulseaudio[2370]: [pulseaudio] main.c: Daemon startup failed.
Jul 16 20:20:15 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint unregistered: sender=:1.101 path=/MediaEndpoint/HFPAG
Jul 16 20:20:15 zaibukas bluetoothd[547]: Endpoint unregistered: sender=:1.101 path=/MediaEndpoint/HFPAG
Jul 16 20:20:15 zaibukas bluetoothd[547]: Endpoint unregistered: sender=:1.101 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:15 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint unregistered: sender=:1.101 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:16 zaibukas abrtd: New problem directory /var/spool/abrt/ccpp-2012-07-16-20:20:14-2362, processing
Jul 16 20:20:57 zaibukas rtkit-daemon[1037]: Successfully made thread 2446 of process 2446 (/usr/bin/pulseaudio) owned by '1000' high priority at nice level -11.
Jul 16 20:20:57 zaibukas pulseaudio[2446]: [pulseaudio] pid.c: Stale PID file, overwriting.
Jul 16 20:20:58 zaibukas rtkit-daemon[1037]: Successfully made thread 2447 of process 2446 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jul 16 20:20:58 zaibukas rtkit-daemon[1037]: Successfully made thread 2448 of process 2446 (/usr/bin/pulseaudio) owned by '1000' RT at priority 5.
Jul 16 20:20:58 zaibukas pulseaudio[2446]: [pulseaudio] module-alsa-card.c: Failed to find a working profile.
Jul 16 20:20:58 zaibukas pulseaudio[2446]: [pulseaudio] module.c: Failed to load module "module-alsa-card" (argument: "device_id="29" name="platform-thinkpad_acpi" card_name="alsa_card.platform-thinkpad_acpi" namereg_fail=false tsched=yes fixed_latency_range=no ignore_dB=no deferred_volume=yes card_properties="module-udev-detect.discovered=1""): initialization failed.
Jul 16 20:20:58 zaibukas kernel: [ 3647.602312] pulseaudio[2446]: segfault at 9000008 ip 48d86ad6 sp bfcee104 error 4 in libc-2.15.so[48d04000+1a8000]
Jul 16 20:20:58 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/HFPAG
Jul 16 20:20:58 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:58 zaibukas bluetoothd[547]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/HFPAG
Jul 16 20:20:58 zaibukas bluetoothd[547]: Endpoint registered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:58 zaibukas abrtd: Directory 'ccpp-2012-07-16-20:20:58-2446' creation detected
Jul 16 20:20:58 zaibukas abrt[2449]: Saved core dump of pid 2446 (/usr/bin/pulseaudio) to /var/spool/abrt/ccpp-2012-07-16-20:20:58-2446 (18636800 bytes)
Jul 16 20:20:58 zaibukas pulseaudio[2443]: [pulseaudio] main.c: Daemon startup failed.
Jul 16 20:20:58 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint unregistered: sender=:1.106 path=/MediaEndpoint/HFPAG
Jul 16 20:20:58 zaibukas bluetoothd[547]: bluetoothd[547]: Endpoint unregistered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:58 zaibukas bluetoothd[547]: Endpoint unregistered: sender=:1.106 path=/MediaEndpoint/HFPAG
Jul 16 20:20:58 zaibukas bluetoothd[547]: Endpoint unregistered: sender=:1.106 path=/MediaEndpoint/A2DPSource
Jul 16 20:20:59 zaibukas abrtd: Duplicate: core backtrace
Jul 16 20:20:59 zaibukas abrtd: DUP_OF_DIR: /var/spool/abrt/ccpp-2012-07-16-20:20:14-2362
Jul 16 20:20:59 zaibukas abrtd: Problem directory is a duplicate of /var/spool/abrt/ccpp-2012-07-16-20:20:14-2362
Jul 16 20:20:59 zaibukas abrtd: Deleting problem directory ccpp-2012-07-16-20:20:58-2446 (dup of ccpp-2012-07-16-20:20:14-2362)


backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Anthony Messina 2012-07-17 12:22:35 EDT
I can confirm that the workaround from comment #15 worked for me on an i686 system.
Comment 26 Ezequiel Birman 2012-07-20 04:54:46 EDT
I applied the workaround from https://bugzilla.redhat.com/show_bug.cgi?id=827629#c14 and it worked for me on x86_64 after systemctl restart bluetooth.service
Comment 27 Wayne Claypool 2012-07-25 17:06:44 EDT
Pulse Audio crashes when connecting to a bluetooth headset

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 28 CJ 2012-07-30 13:59:43 EDT
Tried to connect paired bluetooth audio device. Pulse crashes on connecting then bluez fails to connect until session restart.

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 29 Richard Draucker 2012-08-03 23:22:13 EDT
Bluetooth was already activated. 
I paired a bluetooth headset.
When I attempted to activate the paired headset, pulseaudio blew up. 
There were not other warnings, such as a dialog box with an application error message, to indicate any problem.  
Note that I used a cheap ($5 USD) bluetooth headset intended for cellphone use 
(I was just trying to see if it works with Skype on the laptop).  The headset does
not provide media playback on Android or iPhone cellphones without using bridge 
software, but does work on Nokia phones (or so I'm told).
 


backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 30 Matthias Kattanek 2012-09-06 18:07:09 EDT
running fedora 17 (3.5.2-1.fc17.i686.PAE) with kde desktop. Attempt to  pair or (re-)connect with a bluetooth stereo headset NUV2882.  this is done via the kde taskbar by clicking on the bluetooth icon (bluedevil-monolithic)-> add device or connect listed device (after initial sucessful pairing)

The moment the bluetooth headset is connected it seems that pulseaudio crashes. 
No audio on playback. pavucontrol not available
Restarting pulseaudio manually makes pulseaudio segfault instantly.

workaround   reboot machine
or   disconnect bluetooth headset and restart pulseaudio

Same problem occurs with Samsung WEP475 bluetooth (mono audio)

PS: Both devices have been working with  Fedora 15


backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 31 Matthias Kattanek 2012-09-06 19:44:36 EDT
(In reply to comment #30)

I followed the workaround from Comment #14 and/or #15.

----
 create /etc/bluetooth/audio.conf containing the lines

 [General]
 Disable=Media
 Enable=Source,Sink,Gateway,Control,Socket
----

Rebooted the box and now pulseaudio survives when connecting the 
bluetooth headset
And now I am happily listening ;-)
Comment 32 Vadim Rutkovsky 2012-09-09 08:07:13 EDT
Cannot reproduce this on a fresh install of F18. pulseaudio 2.0-4.fc18
Comment 33 Danny Brodzik 2012-09-28 02:10:59 EDT
The workaround in comment 15 is working for me too, on Fedora 17 32-bit i686, with Motorola S805 headphones.
Comment 34 Eduardo Villagrán Morales 2012-10-08 19:43:42 EDT
Pairing a bluetooth headset with A2DP profile.

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 35 Eduardo Villagrán Morales 2012-10-08 20:09:19 EDT
Workaround in comment 15 works on F17 x86 and Nokia BH-503 headset.
Regards
Comment 36 Autran 2012-11-29 03:36:29 EST
paired blue tooth headset, after pairing completed problem occured.
did  a second try after restarting computer, the headset was paired, clicked connect in bluetooth window,  to connect it then same problem.
headset is an AKG K830BT


backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 37 Andy 2013-01-06 23:06:43 EST
Crash immideately after pairing to a bluetooth headphone

backtrace_rating: 4
Package: pulseaudio-1.1-9.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 38 TL 2013-06-01 19:09:56 EDT
I have the same problem trying to connect my Bose A20 headset over bluetooth on Fedora 17.  I tried the #14 and #15 workarounds, creating a /etc/bluetooth/audio.conf file both with and without a 'Headset' item, as cited in https://bugzilla.redhat.com/show_bug.cgi?id=827629#c14 and https://bugzilla.redhat.com/show_bug.cgi?id=827629#c15.  

This did result in no more crashing, and successfully pairing and connecting the device, but:

(1) only in mono, and
(2) NOT in 'High Fidelity Playback (A2DP)'.  The only service that showed up was Telephony Duplex (HSP/HFP)'.

I need to use it for A2DP and stereo, so would be grateful if anybody has any insights?  Many thanks.
Comment 39 Fedora End Of Life 2013-07-03 19:57:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 40 Fedora End Of Life 2013-07-31 23:07:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.